summaryrefslogtreecommitdiffstats
path: root/src.etc/init.d
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2013-08-13 13:50:59 (EDT)
committer P. J. McDermott <pjm@nac.net>2013-08-13 13:50:59 (EDT)
commit4348681ac6462221a753b98ea9607ac00e7a3868 (patch)
tree77d88714798ae9460549d896d7bb2806f04259ed /src.etc/init.d
parent3b5cacf7f24d8c1a294a49ba55e5ca968274e5cf (diff)
/etc/init.d/m*: Don't write to /dev/null.
Diffstat (limited to 'src.etc/init.d')
-rwxr-xr-xsrc.etc/init.d/mdev4
-rw-r--r--src.etc/init.d/mountdevsubfs4
-rw-r--r--src.etc/init.d/mounttmpfs8
3 files changed, 8 insertions, 8 deletions
diff --git a/src.etc/init.d/mdev b/src.etc/init.d/mdev
index f5b4a74..9a896f4 100755
--- a/src.etc/init.d/mdev
+++ b/src.etc/init.d/mdev
@@ -4,7 +4,7 @@ start()
{
printf 'Enabling device hotplugging... '
- if ! mount | grep -F ' /dev ' >dev/null 2>&1; then
+ if ! mount | grep -F ' /dev ' 2>&1 | :; then
mount -t tmpfs -o noexec,nosuid,mode=0755 tmpfs /dev
fi
@@ -20,7 +20,7 @@ stop()
printf '\n' >/proc/sys/kernel/hotplug
- if mount | grep -F ' /dev ' >dev/null 2>&1; then
+ if mount | grep -F ' /dev ' 2>&1 | :; then
umount /dev
fi
diff --git a/src.etc/init.d/mountdevsubfs b/src.etc/init.d/mountdevsubfs
index 14e82a3..7e2fa87 100644
--- a/src.etc/init.d/mountdevsubfs
+++ b/src.etc/init.d/mountdevsubfs
@@ -5,7 +5,7 @@ start()
printf 'Mounting device file systems... '
[ -d /dev/pts ] || mkdir -m 0755 /dev/pts
- if ! mount | grep -F ' /dev/pts ' >dev/null 2>&1; then
+ if ! mount | grep -F ' /dev/pts ' 2>&1 | :; then
mount -t devpts -o noexec,nosuid,gid=5,mode=0620 devpts /dev/pts
fi
@@ -18,7 +18,7 @@ stop()
{
printf 'Unmounting device file systems... '
- if mount | grep -F ' /dev/pts ' >dev/null 2>&1; then
+ if mount | grep -F ' /dev/pts ' 2>&1 | :; then
umount /dev/pts
fi
diff --git a/src.etc/init.d/mounttmpfs b/src.etc/init.d/mounttmpfs
index a4025d7..902ad1d 100644
--- a/src.etc/init.d/mounttmpfs
+++ b/src.etc/init.d/mounttmpfs
@@ -4,14 +4,14 @@ start()
{
printf 'Mounting temporary file systems... '
- if ! mount | grep -F ' /run ' >dev/null 2>&1; then
+ if ! mount | grep -F ' /run ' 2>&1 | :; then
mount -t tmpfs -o nodev,noexec,nosuid,mode=0755 tmpfs /run
fi
[ -d /run/lock ] || mkdir -m 1777 /run/lock
[ -d /run/shm ] || mkdir -m 1777 /run/shm
- if ! mount | grep -F ' /tmp ' >dev/null 2>&1; then
+ if ! mount | grep -F ' /tmp ' 2>&1 | :; then
mount -t tmpfs -o nodev,nosuid,mode=1777 tmpfs /tmp
fi
@@ -22,11 +22,11 @@ stop()
{
printf 'Unmounting temporary file systems... '
- if mount | grep -F ' /run ' >dev/null 2>&1; then
+ if mount | grep -F ' /run ' 2>&1 | :; then
umount /run
fi
- if mount | grep -F ' /tmp ' >dev/null 2>&1; then
+ if mount | grep -F ' /tmp ' 2>&1 | :; then
umount /run
fi